flutter_spinkit 3.0.0

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 98

✨ Flutter Spinkit

pub package

A collection of loading indicators animated with flutter. Heavily inspired by @tobiasahlin's SpinKit.

🎖 Installing

dependencies:
  flutter_spinkit: "^3.0.0"

⚡️ Import

import 'package:flutter_spinkit/flutter_spinkit.dart';

🎮 How To Use

SpinKitRotatingCircle(
  color: Colors.white,
  size: 50.0,
);

As from 3.0.0

SpinKitFadingCircle(
  itemBuilder: (_, int index) {
    return DecoratedBox(
      decoration: BoxDecoration(
        color: index.isEven ? Colors.red : Colors.green,
      ),
    );
  },
);

Which produces

For more info, please, refer to the showcase.dart in the example.

🚀 Roadmap


RotatingPlane

DoubleBounce

Wave

WanderingCubes

FadingFour

FadingCube

Pulse

ChasingDots

ThreeBounce

Circle

CubeGrid

FadingCircle

RotatingCircle

FoldingCube

PumpingHeart

DualRing

HourGlass

PouringHourGlass

FadingGrid

Ring

Ripple

SpinningCircle

Some GIF images gotten from Android Spinkit.

🐛 Bugs/Requests

If you encounter any problems feel free to open an issue. If you feel the library is missing a feature, please raise a ticket on Github and I'll look into it. Pull request are also welcome.

❗️ Note

For help getting started with Flutter, view our online documentation.

For help on editing plugin code, view the documentation.

⭐️ License

MIT License

3.0.0

Before

SpinKitFadingCircle(
  color: Colors.white,
  size: 50.0,
);

Now, there is an itemBuilder alternative

SpinKitFadingCircle(
  itemBuilder: (_, int index) {
    return DecoratedBox(
      decoration: BoxDecoration(
        color: index.isEven ? Colors.red : Colors.green,
      ),
    );
  },
);

Which produces

example/README.md

example

A new Flutter project.

Getting Started

For help getting started with Flutter, view our online documentation.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  flutter_spinkit: ^3.0.0

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:flutter_spinkit/flutter_spinkit.dart';
  
Version Uploaded Documentation Archive
3.0.0 Nov 4, 2018 Go to the documentation of flutter_spinkit 3.0.0 Download flutter_spinkit 3.0.0 archive
2.1.0 Aug 31, 2018 Go to the documentation of flutter_spinkit 2.1.0 Download flutter_spinkit 2.1.0 archive
2.0.1 Jul 31, 2018 Go to the documentation of flutter_spinkit 2.0.1 Download flutter_spinkit 2.0.1 archive
2.0.0 Jul 19, 2018 Go to the documentation of flutter_spinkit 2.0.0 Download flutter_spinkit 2.0.0 archive
1.1.0 Jul 5, 2018 Go to the documentation of flutter_spinkit 1.1.0 Download flutter_spinkit 1.1.0 archive
1.0.0 Jul 5, 2018 Go to the documentation of flutter_spinkit 1.0.0 Download flutter_spinkit 1.0.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
96
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
98
Learn more about scoring.

We analyzed this package on Dec 5, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.1.0
  • pana: 0.12.7
  • Flutter: 1.0.0

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.28.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test